#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-libwww-perl
Version		:	6.73
Release		:	17.2.0.rel%{?dist}
Summary		:	A Perl interface to the World-Wide Web

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	http://search.cpan.org/dist/libwww-perl

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl-Data-Dump
Requires	:	perl-Encode-Locale
Requires	:	perl-HTTP-Message
Requires	:	perl-Try-Tiny
#-----------------------------------------------------------------------------
# Remove not-packaged features
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Authen::NTLM\\)
%global __requires_exclude %__requires_exclude|perl\\(HTTP::GHTTP\\)
# Remove underspecified dependencies
%global __requires_exclude %__requires_exclude|^perl\\(Encode\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(File::Listing\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Date\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Negotiate\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Request\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Response\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Status\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(LWP::MediaTypes\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(MIME::Base64\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Net::HTTP\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(URI\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(WWW::RobotRules\)\\s*$
#-----------------------------------------------------------------------------
%description
The LWP::UserAgent is a class implementing a web user agent.
LWP::UserAgent objects can be used to dispatch web requests.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc Changes README*
%{_bindir}/GET
%{_bindir}/HEAD
%{_bindir}/POST
%{_bindir}/lwp-download
%{_bindir}/lwp-dump
%{_bindir}/lwp-mirror
%{_bindir}/lwp-request
%{_datadir}/perl5/core_perl/LWP.pm
%{_datadir}/perl5/core_perl/LWP/*.pm
%{_datadir}/perl5/core_perl/LWP/Authen/*.pm
%{_datadir}/perl5/core_perl/LWP/Debug/*.pm
%{_datadir}/perl5/core_perl/LWP/Protocol/*.pm
%{_datadir}/perl5/core_perl/*.pod
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\
	NO_PERLLOCAL=1						\
	--aliases						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

%{_fixperms} %{buildroot}/*

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
